GUJ Discussões   :   últimos tópicos   |   categorias   |   GUJ Respostas

Problema com update


#1

Quando dou um sudo apt-get install -f obtenho um erro:

sudo apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
  linux-headers-4.8.0-36 linux-headers-4.8.0-36-generic linux-image-4.8.0-36-generic linux-image-extra-4.8.0-36-generic
  snap-confine
Utilize 'sudo apt autoremove' para os remover.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 15 não atualizados.
W: Não usando travamento para arquivo de trava somente leitura /var/lib/dpkg/lock

#2

Este comando na verdade é utilizado para realizar uma tentativa de correção de pacotes quebrados. A mensagem apresentada não é um erro, mas um aviso sobre pacotes que não são mais necessários, para remover esses pacotes utilize “sudo apt-get autoremove”. Se seu objetivo for atualizar a lista de pacotes use o comando “sudo apt-get update”, caso seja atualizar os pacotes utilize o “sudo apt-get upgrade” e se for atualizar a distribuição use “sudo apt-get dist-upgrade”


#3

1 caso

Imagino que o sistema seja uma versão atual. Caso contrario é normal esse problema.

Parece ubuntu…

2 caso

Esta usando 2 apt-get ao mesmo tempo no sistema.
W: Não usando travamento para arquivo de trava somente leitura /var/lib/dpkg/lock

Já reiniciou o sistema e fez conforme a solicitação do mesmo em remove pacote já instalado?
Utilize ‘sudo apt autoremove’ para os remover.

No geral após atualização o usuário tem a escolha de usar ou não o apt-get autoremove.

Sugiro não usar o sudo apt autoremove devido aos N problema da Família Debian e seus derivados atualmente.